<?php

namespace Myvetshop\Module\Clinique\Adapter\Repository;

class CartRepository
{
    public function findById(int $id): ?\Cart
    {
        $cart = new \Cart($id);

        if (!\Validate::isLoadedObject($cart)) {
            return null;
        }

        return $cart;
    }
}
